OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.PixelRectangles.Rasterization

Description

This module corresponds to a part of section 3.6.4 (Rasterization of Pixel Rectangles) of the OpenGL 2.1 specs.

# Documentation

data PixelData a

Constructors

PixelData PixelFormat DataType (Ptr a) |

Instances

Eq (PixelData a) |
Ord (PixelData a) |
Show (PixelData a) |

data PixelFormat

Constructors

ColorIndex |
StencilIndex |
DepthComponent |
DepthStencil |
Red |
Green |
Blue |
Alpha |
RG |
RGB |
RGBA |
Luminance |
LuminanceAlpha |
RedInteger |
GreenInteger |
BlueInteger |
AlphaInteger |
RGInteger |
RGBInteger |
RGBAInteger |
BGRInteger |
BGRAInteger |
ABGR |
BGR |
BGRA |
CMYK |
CMYKA |
FourTwoTwo |
FourTwoTwoRev |
FourTwoTwoAverage |
FourTwoTwoRevAverage |
YCBCR422 |

Instances

Eq PixelFormat |
Ord PixelFormat |
Show PixelFormat |

drawPixels :: Size -> PixelData a -> IO ()

pixelZoom :: StateVar (GLfloat, GLfloat)